%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif


%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

Name:		libfshfs
Version:	20231125
Release:	1%{?dist}
Summary:	Library to access the Hierarchical File System (HFS) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libfshfs/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool
              
%description
libfshfs is a library to access the Hierarchical File System (HFS) format

%package devel
Summary: Header files and libraries for developing applications for libfshfs
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libfshfs.

%package tools
Summary: Several tools for reading Hierarchical File System (HFS) volumes
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%description tools
Several tools for reading the Hierarchical File System (HFS) volumes

%prep
%setup -q

%if 0%{?with_python2}
%package python2
Summary: Python bindings for libfshfs
Group: System Environment/Libraries
Requires: libfshfs = %{version}-%{release} python
BuildRequires: python2-devel
Obsoletes: %{name}-python < %{version}
Provides: %{name}-python = %{version}

%description python2
Python bindings for libfshfs
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libfsext
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libfsext
%endif

%build
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python3
%endif
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh ];  then sh autogen.sh;  fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}
%if 0%{?centos} == 7
sudo update-alternatives --set python /usr/bin/python2
%endif

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.so
%if 0%{?fedora} >= 36
%else
%{_libdir}/*.la
%endif
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.so
%if 0%{?fedora} >= 36
%else
%{_libdir}/python2*/site-packages/*.la
%endif
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.so
%if 0%{?fedora} >= 36
%else
%{_libdir}/python3*/site-packages/*.la
%endif
%endif

%changelog
* Sat Nov 25 2023 Lawrence R. Rogers <lrr@cert.org> 20231125-1
* Release 20231125-1
	Version from 20231125

* Wed Aug 31 2022 Lawrence R. Rogers <lrr@cert.org> 20220831-1
* Release 20220831-1
	Version from 20220831

* Sat Jul  9 2022 Lawrence R. Rogers <lrr@cert.org> 20220709-1
* Release 20220709-1
	Version from 20220709

* Wed Apr 27 2022 Lawrence R. Rogers <lrr@cert.org> 20220427-1
* Release 20220427-1
	Version from 20220427

* Mon Apr 18 2022 Lawrence R. Rogers <lrr@cert.org> 20220418-1
* Release 20220418-1
	Version from 20220418

* Sun Mar 13 2022 Lawrence R. Rogers <lrr@cert.org> 20220313-1
* Release 20220313-1
	Version from 20220313

* Sat Jan 15 2022 Lawrence R. Rogers <lrr@cert.org> 20220115-1
* Release 20220115-1
	Version from 20220115

* Fri Jan 14 2022 Lawrence R. Rogers <lrr@cert.org> 20220114-1
* Release 20220114-1
	Version from 20220114

* Thu Jan 13 2022 Lawrence R. Rogers <lrr@cert.org> 20220113-1
* Release 20220113-1
	Version from 20220113

* Wed Jun  2 2021 Lawrence R. Rogers <lrr@cert.org> 20210602-1
* Release 20210602-1
	Version from 20210602

* Sun May 30 2021 Lawrence R. Rogers <lrr@cert.org> 20210530-1
* Release 20210530-1
	Version from 20210530

* Sat Apr 24 2021 Lawrence R. Rogers <lrr@cert.org> 20210424-1
* Release 20210424-1
	Version from 20210424

* Sun Dec  6 2020 Lawrence R. Rogers <lrr@cert.org> 20201104-2
* Release 20201104-2
	Release 2 - Removed Python 2 package

* Wed Nov  4 2020 Lawrence R. Rogers <lrr@cert.org> 20201104-1
* Release 20201104-1
        Version from 20201104

* Mon Oct 19 2020 Lawrence R. Rogers <lrr@cert.org> 20201019-1
* Release 20201019-1
        Version from 20201019

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20181101-4
* Release 20181101-4
        Release 4 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Tue Feb 12 2019 Lawrence R. Rogers <lrr@cert.org> 20181101-3
* Release 20181101-3
	Release 3 - Removed conflicts when that arise when python2 and python 3
		    versions are attempted to be installed on a system.
		    -python packages renamed to -python2


* Thu Nov  1 2018 Lawrence R. Rogers <lrr@cert.org> 20181101-1
* Release 20181101-1
	Version from 20181101

* Tue Jul  4 2017 Joachim Metz <joachim.metz@gmail.com> 20170626-1
- Auto-generated

